#Author: Theophanis Tsandilas
# Testing the behaviour of means and medians under logarithmic transformations

# Take a sample N = 1000 from a log-normal distribution
sample <- rlnorm(1000)

# Calculate its mean and median
M <- mean(sample)
Med <- median(sample)

# Log transform the value of the sample
sample.log <- log(sample)

# Find the mean and median of the transformed sample
ML <- mean(sample.log)
MedL <- median(sample.log)

# Apply to the the inverse transfomration (exp)
ML.inv <- exp(ML)
MedL.inv <- exp(MedL)

# Compare the values of the original and transformed means
cat("Means: ", M, " vs. ", ML.inv, "\n", sep ="")

# Compare the values of the original and transformed means
cat("Medians: ", Med, " vs. ", MedL.inv, "\n", sep ="")

