# Author: Theophanis Tsandilas

M1 <- 102 # True population mean
SD1 <- 30 # True population standard deviation
n1 <- 20  # Size of the samples

M2 <- 95 # True population mean
SD2 <- 10 # True population standard deviation
n2 <- 50  # Size of the samples

DM = M1 - M2

N <- 10000 # Number of sampling repetitions
errors <- 0 # Counter of how many times the CI fails

for(i in 1:N){
    sample1 <- rnorm(n1, mean = M1, sd = SD1)
    sample2 <- rnorm(n2, mean = M2, sd = SD2)
 
 #ci <- t.test(sample1, sample2)$conf.int
    ci <- t.test(sample1, sample2, var.equal = TRUE)$conf.int
    if(ci[2] < DM || ci[1] > DM) errors <- errors + 1
}

cat("Average number of failures = ", errors/N, "\n")
cat("Coverage probability = ", (1 - errors/N)*100, "%\n")
